Package com.independentsoft.office.odf.drawing

# Class TextBox

java.lang.Object
com.independentsoft.office.odf.drawing.FrameContentElement
com.independentsoft.office.odf.drawing.TextBox

All Implemented Interfaces:
  `IContentElement`

public class TextBox extends FrameContentElement
The Class TextBox.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.drawing.FrameContentElement

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextBox()`
  Initializes a new instance of the TextBox class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(Change change)`
  Adds a Change object to the content.
  `void`
  `add​(ChangeEnd changeEnd)`
  Adds a ChangeEnd object to the content.
  `void`
  `add​(ChangeStart changeStart)`
  Adds a ChangeStart object to the content.
  `void`
  `add​(Shape shape)`
  Adds a Shape object to the content.
  `void`
  `add​(Heading heading)`
  Adds a Heading object to the content.
  `void`
  `add​(IndexOfIllustrations index)`
  Adds an IndexOfIllustrations object to the content.
  `void`
  `add​(ITextContent textContent)`
  Adds a ITextContent object to the content.
  `void`
  `add​(List list)`
  Adds a List object to the content.
  `void`
  `add​(Paragraph paragraph)`
  Adds a Paragraph object to the content.
  `void`
  `add​(Section section)`
  Adds a Section object to the content.
  `void`
  `add​(SoftPageBreak softPageBreak)`
  Adds a SoftPageBreak object to the content.
  `void`
  `add​(Table table)`
  Adds a Table object to the content.
  `void`
  `add​(TableOfContents toc)`
  Adds a TableOfContents object to the content.
  `TextBox`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getChain()`
  Gets the name that is used to chain text boxes together for cases where the content of a text box exceeds its capacity.
  `List<ITextContent>`
  `getContent()`
  Contains a collection of ITextContent objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `Size`
  `getCornerRadius()`
  Gets the radius of the circle used to round off the corners of a caption, rectangle, or a text-box.
  `Size`
  `getMaxHeight()`
  Gets the maximum height of a text box.
  `Size`
  `getMaxWidth()`
  Gets the maximum width of a text box.
  `Size`
  `getMinHeight()`
  If set, it overrides the height of a text box.
  `Size`
  `getMinWidth()`
  If set, it overrides the width of a text box.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setChain​(String chain)`
  Sets the name that is used to chain text boxes together for cases where the content of a text box exceeds its capacity.
  `void`
  `setCornerRadius​(Size cornerRadius)`
  Sets the radius of the circle used to round off the corners of a caption, rectangle, or a text-box.
  `void`
  `setMaxHeight​(Size maxHeight)`
  Sets the maximum height of a text box.
  `void`
  `setMaxWidth​(Size maxWidth)`
  Sets the maximum width of a text box.
  `void`
  `setMinHeight​(Size minHeight)`
  If set, it overrides the height of a text box.
  `void`
  `setMinWidth​(Size minWidth)`
  If set, it overrides the width of a text box.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current TextBox object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextBox

    public TextBox()
    Initializes a new instance of the TextBox class.

- ## Method Details

  - ### add

    public void add​(Change change)
    Adds a Change object to the content.
    Parameters:
      `change` - the change

  - ### add

    public void add​(ChangeEnd changeEnd)
    Adds a ChangeEnd object to the content.
    Parameters:
      `changeEnd` - the change end

  - ### add

    public void add​(ChangeStart changeStart)
    Adds a ChangeStart object to the content.
    Parameters:
      `changeStart` - the change start

  - ### add

    public void add​(Shape shape)
    Adds a Shape object to the content.
    Parameters:
      `shape` - the shape

  - ### add

    public void add​(IndexOfIllustrations index)
    Adds an IndexOfIllustrations object to the content.
    Parameters:
      `index` - the index

  - ### add

    public void add​(Heading heading)
    Adds a Heading object to the content.
    Parameters:
      `heading` - the heading

  - ### add

    public void add​(List list)
    Adds a List object to the content.
    Parameters:
      `list` - the list

  - ### add

    public void add​(Paragraph paragraph)
    Adds a Paragraph object to the content.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Section section)
    Adds a Section object to the content.
    Parameters:
      `section` - the section

  - ### add

    public void add​(SoftPageBreak softPageBreak)
    Adds a SoftPageBreak object to the content.
    Parameters:
      `softPageBreak` - the soft page break

  - ### add

    public void add​(Table table)
    Adds a Table object to the content.
    Parameters:
      `table` - the table

  - ### add

    public void add​(TableOfContents toc)
    Adds a TableOfContents object to the content.
    Parameters:
      `toc` - the toc

  - ### add

    public void add​(ITextContent textContent)
    Adds a ITextContent object to the content.
    Parameters:
      `textContent` - the text content

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `FrameContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `FrameContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `FrameContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public TextBox clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in class `FrameContentElement`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current TextBox object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<ITextContent> getContent()
    Contains a collection of ITextContent objects.
    Returns:
      the content

  - ### getChain

    public String getChain()
    Gets the name that is used to chain text boxes together for cases where the content of a text box exceeds its capacity.
    Returns:
      the chain

  - ### setChain

    public void setChain​(String chain)
    Sets the name that is used to chain text boxes together for cases where the content of a text box exceeds its capacity.
    Parameters:
      `chain` - the new chain

  - ### getCornerRadius

    public Size getCornerRadius()
    Gets the radius of the circle used to round off the corners of a caption, rectangle, or a text-box.
    Returns:
      the corner radius

  - ### setCornerRadius

    public void setCornerRadius​(Size cornerRadius)
    Sets the radius of the circle used to round off the corners of a caption, rectangle, or a text-box.
    Parameters:
      `cornerRadius` - the new corner radius

  - ### getMinHeight

    public Size getMinHeight()
    If set, it overrides the height of a text box.
    Returns:
      the min height

  - ### setMinHeight

    public void setMinHeight​(Size minHeight)
    If set, it overrides the height of a text box.
    Parameters:
      `minHeight` - the new min height

  - ### getMinWidth

    public Size getMinWidth()
    If set, it overrides the width of a text box.
    Returns:
      the min width

  - ### setMinWidth

    public void setMinWidth​(Size minWidth)
    If set, it overrides the width of a text box.
    Parameters:
      `minWidth` - the new min width

  - ### getMaxHeight

    public Size getMaxHeight()
    Gets the maximum height of a text box.
    Returns:
      the max height

  - ### setMaxHeight

    public void setMaxHeight​(Size maxHeight)
    Sets the maximum height of a text box.
    Parameters:
      `maxHeight` - the new max height

  - ### getMaxWidth

    public Size getMaxWidth()
    Gets the maximum width of a text box.
    Returns:
      the max width

  - ### setMaxWidth

    public void setMaxWidth​(Size maxWidth)
    Sets the maximum width of a text box.
    Parameters:
      `maxWidth` - the new max width